diff --git a/src/backend/postmaster/bgworker.c b/src/backend/postmaster/bgworker.c
index 10e0f88..4367785 100644
--- a/src/backend/postmaster/bgworker.c
+++ b/src/backend/postmaster/bgworker.c
@@ -931,7 +931,7 @@ RegisterDynamicBackgroundWorker(BackgroundWorker *worker,
 	 * postmaster must not take locks; a memory barrier wouldn't guarantee
 	 * anything useful.
 	 */
-	if (parallel && (BackgroundWorkerData->parallel_register_count -
+	if (parallel && (int) (BackgroundWorkerData->parallel_register_count -
 					 BackgroundWorkerData->parallel_terminate_count) >=
 		max_parallel_workers)
 	{
